> For the complete documentation index, see [llms.txt](https://docs.calypso.money/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.calypso.money/acquiring/customers/how-to-get-a-deposit-address-for-a-sustomer.md).

# How to get a deposit address for a Сustomer

## Purse (address)

* Get deposit address for customer - GET **purse**
  * The address with deposits lives 12 months from the last confirmed incoming deposit. Each new deposit extends the term for another **12 months (+365 days)**, after this period it will expire, you will receive a webhook - **CUSTOMER\_PURSE\_EXPIRED**
  * If the deposit address has not been replenished for **30 days**, it will expire, you will receive a webhook - **CUSTOMER\_PURSE\_EXPIRED**

### Get purse request example:

**Example of the get purse request**:

* Pass the required parameters in the request - "**account**/**customerId**/**currency**".

**Example of the get purse response**:

* In response you will receive an address for deposits, and purseId (address id).

```json
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "address": "string"
}
```

**Purse statuses**

| Status           | Description                                                                                                    |
| ---------------- | -------------------------------------------------------------------------------------------------------------- |
| PENDING\_PAYMENT | The address is active for replenishment of the customer to which it is linked.                                 |
| ARCHIVED         | The address is not active for replenishing this customer account.                                              |
| DECLINED         | The address is blocked due to receipt of illegal funds; using the address and replenishing it is not possible. |

### Get all purse for customer request example - [GET Customer Purses](https://docs.calypso.money/api-reference/customer-purse-api#post-api-v1-customer-purse-purse-get-all):

**Example of the get all purse list request**:

* Pass the required parameters in the request - "account/timestamp/**customerId**".

```
{
  "account": "text",
  "timestamp": 1,
  "payload": {
    "customerId": "123e4567-e89b-12d3-a456-426614174000"
  }
}
```

**Example of the get all purse list response**:

* In response you will receive list of all active addresses for this customer.

```json
{
    "purses": [
        {
            "id": "52bc94ac-7bac-49f0-a476-ac64c6634381",
            "address": "0x8ab54579efb614b9c46fb36db6a753df2cd18d65",
            "currencies": [
                "USDT_POL",
                "FRAX",
                "USDC_POL",
                "BNB",
                "ETH",
                "USDT",
                "USDC",
                "POL",
                "DAI",
                "USDC_BSC",
                "USDT_BSC"
            ],
            "createdDate": "2024-08-29T08:49:58.570498"
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.calypso.money/acquiring/customers/how-to-get-a-deposit-address-for-a-sustomer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
